extends layout

block layout-content
  div.jumbotron
    div.row
      div.col-2.text-center
        table.table.table-sm
          thead.thead-dark
            tr #[th(scope=row colspan=2) Benchmark Context]
          tbody
            tr #[th(scope=row) Time] #[td#iTime ]
            tr #[th(scope=row) # CPUs] #[td#iCpus ]
            tr #[th(scope=row) MHZxCPU] #[td#iMhz ]
            tr #[th(scope=row) Scaling] #[td#iScaling ]
            tr #[th(scope=row) Lib Build] #[td#iBuild ]
        button#reloadData.btn.btn-info Reload Benchmark Results
      div.col-10
        h1 Oracle/REST Benchmark Results
        p by EN-SMM-APC Team

  div#BenchContainer.container-fluid

  div.utilityBox(style='visibility: hidden;')
    table.table.table-sm
      thead.thead-dark
        tr #[th(scope=row colspan=2) Benchmark Information]
      tbody
        tr.iterations #[th(scope=row) Iterations] #[td ]
        tr.repetitions #[th(scope=row) Repetitions] #[td ]
        tr.threads #[th(scope=row) Threads] #[td ]
        tr #[th.iterations(scope=row colspan=2) Oracle ]
        tr.omean #[th(scope=row) Mean] #[td ]
        tr.omedian #[th(scope=row) Median] #[td ]
        tr.ostddev #[th(scope=row) StdDev] #[td ]
        tr #[th.iterations(scope=row colspan=2) Rest ]
        tr.rmean #[th(scope=row) Mean] #[td ]
        tr.rmedian #[th(scope=row) Median] #[td ]
        tr.rstddev #[th(scope=row) StdDev] #[td ]